import os

from cd.project import Project
from cd.projects import Projects
from rwx import ps

COMMANDS_PREFIX = 'cd-'

environment = sorted(os.environ.items())
project = Project(environment)
projects = Projects(environment)


def cd_clone_branch():
    ps.run('git',
        'clone',
        '--branch', project.branch,
        '--',
        project.url,
        '.',
    )


def cd_list_environment():
    for variable, value in environment:
        print(variable, '=', value)


def install_commands(path):
    user = '/usr/local/bin'
    for command in [
        'clone-branch',
        'list-environment',
    ]:
        os.symlink(path, os.path.join(user, f'{COMMANDS_PREFIX}{command}'))
